# MPI_Win_complete

## NAME

MPI_Win_complete − Completes an RMA access epoch on win started by a call to MPI_Win_start

## SYNTAX

## C Syntax

#include <mpi.h>
MPI_Win_complete(MPI_Win win)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_WIN_COMPLETE(WIN, IERROR)

## C++ Syntax

#include <mpi.h>
void MPI::Win::Complete() const

## INPUT PARAMETERS

| win |  | Window object (handle). |

## OUTPUT PARAMETERS

| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_Win_complete is a one-sided MPI communication synchronization call, completing an RMA access epoch on win started by a call to MPI_Win_start. MPI_Win_complete enforces the completion of preceding RMA calls at the origin and not at the target. A put or accumulate call may not have completed at the target when it has completed at the origin.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Win_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Win_start

MPI API Index